summaryrefslogtreecommitdiff
path: root/t/gitweb-lib.sh
diff options
context:
space:
mode:
authorBrian Gernhardt <brian@gernhardtsoftware.com>2010-10-20 01:57:11 -0400
committerJunio C Hamano <gitster@pobox.com>2010-10-20 13:01:33 -0700
commit598df7bcb775a247cc3f20c5a8b1b36955b16462 (patch)
tree685147b5a51b6147106560e63f585b76c7751296 /t/gitweb-lib.sh
parent5b57413cb3952654031115f6f840e3dcb120914e (diff)
downloadgit-598df7bcb775a247cc3f20c5a8b1b36955b16462.tar.gz
t/gitweb-lib: Don't pass constant to decode_utf8
Encode.pm started updating the string to decode in-place when a second argument is passed in version 2.40. This causes 'decode_utf8("", Encode::FB_CROAK)' to die with a message like: Modification of a read-only value attempted at .../Encode.pm line 216. Work around this by passing an empty variable instead of a constant string. Signed-off-by: Brian Gernhardt <brian@gernhardtsoftware.com> Acked-by: Jakub Narebski <jnareb@gmail.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't/gitweb-lib.sh')
-rw-r--r--t/gitweb-lib.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/t/gitweb-lib.sh b/t/gitweb-lib.sh
index 81ef2a0969..1b9523d02f 100644
--- a/t/gitweb-lib.sh
+++ b/t/gitweb-lib.sh
@@ -80,7 +80,7 @@ if ! test_have_prereq PERL; then
test_done
fi
-perl -MEncode -e 'decode_utf8("", Encode::FB_CROAK)' >/dev/null 2>&1 || {
+perl -MEncode -e '$e="";decode_utf8($e, Encode::FB_CROAK)' >/dev/null 2>&1 || {
skip_all='skipping gitweb tests, perl version is too old'
test_done
}